%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d


%bcond_without jpegxl

Name:       aom
Version:    3.8.1
Release:    %mkrel 1
Summary:    Royalty-free next-generation video format
Group:      System/Libraries
License:    BSD
URL:        https://aomedia.org/
Source0:    https://aomedia.googlesource.com/%{name}/+archive/v%{version}.tar.gz#/lib%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  git-core
BuildRequires:  graphviz
BuildRequires:  perl(Getopt::Long)
BuildRequires:  wxgtk-devel
BuildRequires:  yasm
BuildRequires:  ccache
%if %{with jpegxl}
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libhwy)
%endif
Provides:       av1 = %{version}-%{release}

%description
The Alliance for Open Media’s focus is to deliver a next-generation
video format that is:

 - Interoperable and open;
 - Optimized for the Internet;
 - Scalable to any modern device at any bandwidth;
 - Designed with a low computational footprint and optimized for hardware;
 - Capable of consistent, highest-quality, real-time video delivery; and
 - Flexible for both commercial and non-commercial content, including
   user-generated content.

This package contains the reference encoder and decoder.


%package -n %{libname}
Summary:        Library files for aom
Group:          System/Libraries

%description -n %{libname}
Library files for aom, the royalty-free next-generation 
video format.


%package -n %{develname}
Summary:        Development files for aom
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for aom, the royalty-free next-generation 
video format.


%prep
%setup -qn lib%{name}-%{version}


%build
%cmake      -DENABLE_CCACHE=1 \
            -DCMAKE_SKIP_RPATH=1 \
%ifnarch aarch64 %{arm} %{ix86} x86_64
            -DAOM_TARGET_CPU=generic \
%endif
%ifarch %{arm}
            -DAOM_TARGET_CPU=arm \
            -DAOM_NEON_INTRIN_FLAG=-mfpu=neon \
%endif
%ifarch aarch64
            -DAOM_TARGET_CPU=arm64 \
%endif
%ifarch %{ix86}
            -DAOM_TARGET_CPU=x86 \
%endif
%ifarch x86_64
            -DAOM_TARGET_CPU=x86_64 \
%endif
            -DCONFIG_WEBM_IO=1 \
            -DENABLE_DOCS=1 \
	    -DENABLE_TESTS=0 \
	    -DCONFIG_INSPECTION=1 \
            -DCONFIG_ANALYZER=0 \
            -DFORCE_HIGHBITDEPTH_DECODING=0 \
	    -DBUILD_SHARED_LIBS=1 \
%if %{with jpegxl}
	    -DCONFIG_TUNE_BUTTERAUGLI=1 \
%endif
	    -DLIB_INSTALL_DIR=%{_lib} \
	    -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

# Delete static library
find %{buildroot} -name libaom.a -delete

%files
%{_bindir}/aomdec
%{_bindir}/aomenc


%files -n %{libname}
%{_libdir}/libaom.so.%{major}{,.*}


%files -n %{develname}
%doc build/docs/html/
%{_includedir}/%{name}/
%{_libdir}/libaom.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 21 2024 tex - 3.8.1-1pclos2024
- new version

* Sat Sep 16 2023 tex - 3.7.0-1pclos2023
- new version: 3.7.0
